const n = require("fs").readFileSync(0, "utf8").toString().split("\n");
const m = Number(n[0]);
const arr = n[1].split(" ").map(Number);
let max = 0, sum=0;
for(let i=0; i<m; i++){
    if(arr[i]>max) max = arr[i];
}
for(let i=0; i<m; i++){
    arr[i] = arr[i]/max*100;
    sum += arr[i];
}
console.log(sum/m)
